# Class HubConstants | EchoHub Documentation

# Class HubConstants

Namespace
  EchoHub.Core.Constants

Assembly
  EchoHub.Core.dll

    public static class HubConstants

Inheritance
  object
  HubConstants

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Fields

### AsciiArtHeight

    public const int AsciiArtHeight = 40

#### Field Value

int

### AsciiArtHeightHalfBlock

    public const int AsciiArtHeightHalfBlock = 80

#### Field Value

int

### AsciiArtWidth

    public const int AsciiArtWidth = 80

#### Field Value

int

### ChatHubPath

    public const string ChatHubPath = "/hubs/chat"

#### Field Value

string

### DefaultChannel

    public const string DefaultChannel = "general"

#### Field Value

string

### DefaultHistoryCount

    public const int DefaultHistoryCount = 100

#### Field Value

int

### EmbedFetchTimeoutSeconds

    public const int EmbedFetchTimeoutSeconds = 5

#### Field Value

int

### EmbedMaxDescriptionLength

    public const int EmbedMaxDescriptionLength = 500

#### Field Value

int

### EmbedMaxHtmlBytes

    public const int EmbedMaxHtmlBytes = 65536

#### Field Value

int

### EmbedMaxUrlsPerMessage

    public const int EmbedMaxUrlsPerMessage = 3

#### Field Value

int

### IrcConnectionIdPrefix

Connection-id prefix for IRC gateway connections. The presence tracker uses it to tell IRC-only users apart from native (SignalR) clients.

    public const string IrcConnectionIdPrefix = "irc-"

#### Field Value

string

### MaxAttachmentsPerMessage

    public const int MaxAttachmentsPerMessage = 10

#### Field Value

int

### MaxAudioFileSizeBytes

    public const int MaxAudioFileSizeBytes = 10485760

#### Field Value

int

### MaxAvatarSizeBytes

    public const int MaxAvatarSizeBytes = 2097152

#### Field Value

int

### MaxConsecutiveNewlines

    public const int MaxConsecutiveNewlines = 1

#### Field Value

int

### MaxFileSizeBytes

    public const int MaxFileSizeBytes = 104857600

#### Field Value

int

### MaxImageSizeBytes

    public const int MaxImageSizeBytes = 10485760

#### Field Value

int

### MaxMessageLength

    public const int MaxMessageLength = 2000

#### Field Value

int

### MaxMessageNewlines

    public const int MaxMessageNewlines = 30

#### Field Value

int